% addpathlist{i} = {path,add recursive}

addpathlist = {
    {'toolbox_dae',true},...
    {'libs',false},...
	{'libs/ellipsoids',true},...
	{'libs/SDPT3-4.0',false},...
	{'libs/SDPT3-4.0/Solver',false},...
	{'libs/SDPT3-4.0/Solver/Mexfun',false},...
	{'libs/SDPT3-4.0/HSDSolver',true},...
	{'libs/yalmip',true},...
    {'libs/exportfig',false},...
    {'libs/libiso2mesh',false},...
    {'libs/libminbox',false},...
    {'libs/libpoly2voxel',false},...
    {'libs/lineintersect',false},...
    {'libs/meanshift',false},...
    {'libs/toolbox_graph',false},...
    {'libs/toolbox_graph/toolbox',false},...
	{'libs/geom3d/geom3d',true},...
	{'libs/geom3d/meshes3d',true},...
	{'libs/trismooth',false},...
	{'gco-v3.0/matlab',true},...
};

for i=1:length(addpathlist)
    pathstr = addpathlist{i}{1};
    addrecur = addpathlist{i}{2};
    abspath = sprintf('%s/%s',pwd,pathstr);
    
    if addrecur
        addpath(genpath(abspath));
    else
        addpath(abspath);
    end
end

% GCO_BuildLib;
disp('paths added, please run savepath to store the paths permanently');





